Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.repository.query
Enum QueryMethod.Type

    java.lang.Object
      java.lang.Enum<QueryMethod.Type>
          org.springframework.data.repository.query.QueryMethod.Type

All Implemented Interfaces:
  Serializable, Comparable<QueryMethod.Type>

Enclosing class:
  QueryMethod

    public static enum QueryMethod.Type

extends Enum<QueryMethod.Type>

Enum Constant Summary
`COLLECTION`
`MODIFYING`
`PAGING`
`SINGLE_ENTITY`

Method Summary
`static QueryMethod.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryMethod.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_ENTITY

    public static final QueryMethod.Type SINGLE_ENTITY

### PAGING

    public static final QueryMethod.Type PAGING

### COLLECTION

    public static final QueryMethod.Type COLLECTION

### MODIFYING

    public static final QueryMethod.Type MODIFYING

Method Detail

### values

    public static QueryMethod.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryMethod.Type c : QueryMethod.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryMethod.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.